> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/streamer-configuration/gateways-eui64-streamer-opt-in-1.md).

# /gateways/{eui64}/streamer/opt-in

Sets the streamer opt-in flag for a specific device. The opt-in flag determines whether the device sends data to the Streamer Service's data stream.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Streamer Configuration","description":"Commands to configure the data streaming settings for the devices connected to the platform"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"EUI64":{"name":"eui64","in":"path","description":"The EUI64 of the device in hexadecimal format.","required":true,"schema":{"type":"string"}}},"schemas":{"StreamerOptIn":{"type":"object","required":["enabled"],"properties":{"enabled":{"type":"boolean","description":"The streamer opt-in flag for a device."}}},"SuccessfulResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The success message returned."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"EUINotFoundErrorResponse":{"description":"Not found:\n  - 400: The device '{eui64}' is not available in the IoT Thing registry.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/gateways/{eui64}/streamer/opt-in":{"put":{"summary":"/gateways/{eui64}/streamer/opt-in","description":"Sets the streamer opt-in flag for a specific device. The opt-in flag determines whether the device sends data to the Streamer Service's data stream.\n","operationId":"putGatewayStreamerOptIn","tags":["Streamer Configuration"],"parameters":[{"$ref":"#/components/parameters/EUI64"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamerOptIn"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessfulResponse"}}}},"400":{"description":"Invalid request:\n  - Missing required 'path' parameter: 'eui64'.\n  - The provided EUI64 '{eui64}' is not a valid hexadecimal string.\n  - Request body is required but was not provided.\n  - Schema validation failed due to error: Missing required key: enabled\n  - Schema validation failed due to error: Invalid type for key: enabled\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"$ref":"#/components/responses/EUINotFoundErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/streamer-configuration/gateways-eui64-streamer-opt-in-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
